package twentyonecoders.logic;

import javafx.stage.Screen;

/**
 * @author Leo Kerschbaumer
 */
public class Config {

    /** GAME */
    public static final int START_SUM = 2000;
    public static final String BANK_NAME = "The Rock";

    /** UI */
    public static final int CARD_HEIGHT = 120;
    public static final int CARD_WIDTH = 80;
    public static final int CARD_RADIUS = 10;
    public static final double SCREEN_HEIGHT = Screen.getPrimary().getBounds().getHeight();
    public static final double SCREEN_WIDTH = Screen.getPrimary().getBounds().getWidth();
    public static final double CENTER_X = SCREEN_WIDTH / 2.0;
    public static final double CENTER_Y = SCREEN_HEIGHT / 2.0;
    public static final double PLAYER_X_CENTER = CENTER_X - 80;
    public static final double PLAYER_Y_CENTER = SCREEN_HEIGHT - (CENTER_Y / 2.0);
    public static final double DEALER_X_CENTER = CENTER_X - 80;
    public static final double DEALER_Y_CENTER = CENTER_Y / 2.0;
    public static final double DECK_X_CENTER = CENTER_X - 367;
    public static final double DECK_Y_CENTER = 73;
}
