package twentyonecoders.logic;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class CardTest {
    @Test
    void shouldCreateCardWithHeartsNine() {
        Card card = new Card(Card.Suit.HEARTS, Card.Rank.NINE);
        assertEquals(card.getRank().value, 9);
        assertEquals(card.getSuit(), Card.Suit.HEARTS);
    }

    @Test
    void shouldCreateCardWithDiamondsQueen() {
        Card card = new Card(Card.Suit.DIAMONDS, Card.Rank.QUEEN);
        assertEquals(card.getRank().value, 10);
        assertEquals(card.getSuit(), Card.Suit.DIAMONDS);
    }
}
